﻿#form-wrapper {
    display: block;
    width: 500px;
    margin: 80px auto 40px;
    box-shadow: 0 0 15px #ddd;
    padding: 20px 30px;
    border-radius: 5px;
    box-sizing: border-box;
    position:relative;
}
h1 {
    font-size: 35px;
    font-weight:bold;
    text-align:center;
    margin: 10px 0 30px;
}
.input-item {
    /*display:flex;*/
    margin-bottom: 25px;
}
.input-item label {
    color:#666;
}
.input-item label span {
    color: #ff0000;
}
.input-item input {
    border: 1px solid #ddd;
    height: 40px;
    line-height: 40px;
}
.input-item input[type='submit'] {
    outline:none;
    width: 100%;
    height: 40px;
    line-height: 40px;
    padding: 0;
    background: var(--accent-color);
    color: #ffffff;
    border: none;
}
p {
    padding: 5px 0;
}
.toRegister a {
    text-decoration: underline;
    color: var(--accent-color);
}
.input-item p {
    display:none;
    color: #ff0000;
    padding:0;
}
.email-input {
    display:flex;
}
.email-input .sendCode {
    display:block;
    width: 90px;
    flex-shrink:0;
    margin-left: 10px;
    background:var(--accent-color);
    border-radius:5px;
    color: #fff;
    font-size: 14px;
    line-height: 40px;
    text-align:center;
}
.tip {
    display:none;
    position:fixed;
    top: 50%;
    left: 50%;
    transform:translate(-50%,-50%);
    box-shadow: 0 0 5px #ddd;
    padding: 12px 20px;
    background: rgba(0,0,0,.5);
    border-radius:4px;
    color:#fff;

}
.other-operation {
    display:flex;
    justify-content:space-between;
}
.other-operation p:last-child a:hover{
    color:var(--accent-color);
    text-decoration:underline;
}

@media (max-width: 762px) {
    #form-wrapper {
        width: 100%;
        padding: 20px;
        margin: 20px 0 0;
        box-shadow:none;
    }
    h1 {
        font-size: 24px;
    }
}